> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track By References

Track a shipment status using reference numbers.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [FedEx documentation](https://developer.fedex.com/api/en-us/catalog/track/v1/docs.html#operation/Track%20by%20References).

## Basic Parameters

| Parameter | Description |
| - | - |
| Account Number | The FedEx account number associated with the shipment. **Note**: This parameter is required when destination code parameters are omitted. |
| Destination Country Code | The country code for the shipment's destination. **Note**: This parameter is required if the `Account Number` parameter is omitted. |
| Destination Postal Code | The postal code for the shipment's destination. **Note**: This parameter is required if the `Account Number` parameter is omitted. |
| Detailed Scans | Select to include detailed scanning information in the response. |
| Reference Type | The type of reference being used to track the shipment. |
| Reference Value | The value of the reference used to track the shipment. |
| Shipment Begin Date | The earliest date when the shipment may have been scheduled. |
| Shipment End Date | The latest date when the shipment may have been scheduled. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://developer.fedex.com/api/en-us/catalog/track/v1/docs.html#operation/Track%20by%20References). |
| Customer Transaction ID | An ID to assign to the customer transaction. |
| Language Codes | The language and country code to use in the request. |

## Example Output

```json theme={"dark"}
{
	"customerTransactionId": "AnyCo_order123456789",
	"output": {
		"alerts": "TRACKING.DATA.NOTFOUND -  Tracking data unavailable",
		"completeTrackResults": [
			{
				"trackResults": [
					{
						"additionalTrackingInfo": {
							"hasAssociatedShipments": false,
							"nickname": "shipment nickname",
							"packageIdentifiers": [
								{
									"trackingNumberUniqueId": "245822~123456789012~FDEG",
									"type": "SHIPPER_REFERENCE",
									"value": "ASJFGVAS"
								}
							],
							"shipmentNotes": "shipment notes"
						},
						"availableImages": [
							{
								"size": "LARGE",
								"type": "BILL_OF_LADING"
							}
						],
						"availableNotifications": [
							"ON_DELIVERY",
							"ON_EXCEPTION"
						],
						"consolidationDetail": [
							{
								"consolidationID": "47936927",
								"eventType": "PACKAGE_ADDED_TO_CONSOLIDATION",
								"packageCount": 25,
								"reasonDetail": {
									"description": "Wrong color",
									"type": "REJECTED"
								},
								"timeStamp": "2020-10-13T03:54:44-06:00"
							}
						],
						"customDeliveryOptions": [
							{
								"description": "Redirect the package to the hold location.",
								"requestedAppointmentDetail": {
									"date": "2019-05-07",
									"window": [
										{
											"description": "Description field",
											"type": "ESTIMATED_DELIVERY",
											"window": {
												"begins": "2021-10-01T08:00:00",
												"ends": "2021-10-15T00:00:00-06:00"
											}
										}
									]
								},
								"status": "HELD",
								"type": "REDIRECT_TO_HOLD_AT_LOCATION"
							}
						],
						"dateAndTimes": [
							{
								"dateTime": "2007-09-27T00:00:00",
								"type": "ACTUAL_DELIVERY"
							}
						],
						"deliveryDetails": {
							"actualDeliveryAddress": {
								"addressClassification": "BUSINESS",
								"city": "SEATTLE",
								"countryCode": "US",
								"countryName": "United States",
								"postalCode": "98101",
								"residential": false,
								"stateOrProvinceCode": "WA",
								"streetLines": [
									"1043 North Easy Street",
									"Suite 999"
								]
							},
							"deliveryAttempts": "0",
							"deliveryOptionEligibilityDetails": [
								{
									"eligibility": "INELIGIBLE",
									"option": "INDIRECT_SIGNATURE_RELEASE"
								}
							],
							"deliveryToday": false,
							"destinationServiceArea": "EDDUNAVAILABLE",
							"destinationServiceAreaDescription": "Appointment required",
							"locationDescription": "Receptionist/Front Desk",
							"locationType": "APARTMENT_OFFICE",
							"officeOrderDeliveryMethod": "Courier",
							"receivedByName": "Reciever",
							"signedByName": "Reciever"
						},
						"destinationLocation": {
							"locationContactAndAddress": {
								"address": {
									"addressClassification": "BUSINESS",
									"city": "SEATTLE",
									"countryCode": "US",
									"countryName": "United States",
									"postalCode": "98101",
									"residential": false,
									"stateOrProvinceCode": "WA",
									"streetLines": [
										"1043 North Easy Street",
										"Suite 999"
									]
								}
							},
							"locationId": "SEA",
							"locationType": "FEDEX_SHIPSITE"
						},
						"distanceToDestination": {
							"units": "KM",
							"value": 685.7
						},
						"error": {
							"code": "TRACKING.TRACKINGNUMBER.EMPTY",
							"message": "Please provide tracking number.",
							"parameterList": [
								{
									"key": "key",
									"value": "value"
								}
							]
						},
						"estimatedDeliveryTimeWindow": {
							"description": "Description field",
							"type": "ESTIMATED_DELIVERY",
							"window": {
								"begins": "2021-10-01T08:00:00",
								"ends": "2021-10-15T00:00:00-06:00"
							}
						},
						"goodsClassificationCode": "goodsClassificationCode",
						"holdAtLocation": {
							"locationContactAndAddress": {
								"address": {
									"addressClassification": "BUSINESS",
									"city": "SEATTLE",
									"countryCode": "US",
									"countryName": "United States",
									"postalCode": "98101",
									"residential": false,
									"stateOrProvinceCode": "WA",
									"streetLines": [
										"1043 North Easy Street",
										"Suite 999"
									]
								}
							},
							"locationId": "SEA",
							"locationType": "FEDEX_SHIPSITE"
						},
						"informationNotes": [
							{
								"code": "CLEARANCE_ENTRY_FEE_APPLIES",
								"description": "this is an informational message"
							}
						],
						"lastUpdatedDestinationAddress": {
							"addressClassification": "BUSINESS",
							"city": "SEATTLE",
							"countryCode": "US",
							"countryName": "United States",
							"postalCode": "98101",
							"residential": false,
							"stateOrProvinceCode": "WA",
							"streetLines": [
								"1043 North Easy Street",
								"Suite 999"
							]
						},
						"latestStatusDetail": {
							"ancillaryDetails": [
								{
									"action": "Contact us at \u003chttp://www.fedex.com/us/customersupport/call/index.html\u003e to discuss possible delivery or pickup alternatives.",
									"actionDescription": "Customer not Available or Business Closed",
									"reason": "15",
									"reasonDescription": "Customer not available or business closed"
								}
							],
							"code": "PU",
							"delayDetail": {
								"status": "DELAYED",
								"subType": "SNOW",
								"type": "WEATHER"
							},
							"derivedCode": "PU",
							"description": "Picked up",
							"scanLocation": {
								"addressClassification": "BUSINESS",
								"city": "SEATTLE",
								"countryCode": "US",
								"countryName": "United States",
								"postalCode": "98101",
								"residential": false,
								"stateOrProvinceCode": "WA",
								"streetLines": [
									"1043 North Easy Street",
									"Suite 999"
								]
							},
							"statusByLocale": "Picked up"
						},
						"meterNumber": "8468376",
						"originLocation": {
							"locationContactAndAddress": {
								"address": {
									"addressClassification": "BUSINESS",
									"city": "SEATTLE",
									"countryCode": "US",
									"countryName": "United States",
									"postalCode": "98101",
									"residential": false,
									"stateOrProvinceCode": "WA",
									"streetLines": [
										"1043 North Easy Street",
										"Suite 999"
									]
								}
							},
							"locationId": "SEA"
						},
						"packageDetails": {
							"contentPieceCount": "100",
							"count": "1",
							"declaredValue": {
								"currency": "USD",
								"value": 56.8
							},
							"packageContent": [
								"wire hangers",
								"buttons"
							],
							"packagingDescription": {
								"description": "FedEx Pak",
								"type": "FEDEX_PAK"
							},
							"physicalPackagingType": "BARREL",
							"sequenceNumber": "45",
							"undeliveredCount": "7",
							"weightAndDimensions": {
								"dimensions": [
									{
										"height": 30,
										"length": 100,
										"units": "CM",
										"width": 50
									}
								],
								"weight": [
									{
										"unit": "LB",
										"value": "22222.0"
									}
								]
							}
						},
						"pieceCounts": [
							{
								"count": "35",
								"description": "picec count description",
								"type": "ORIGIN"
							}
						],
						"reasonDetail": {
							"description": "Wrong color",
							"type": "REJECTED"
						},
						"recipientInformation": {
							"address": {
								"addressClassification": "BUSINESS",
								"city": "SEATTLE",
								"countryCode": "US",
								"countryName": "United States",
								"postalCode": "98101",
								"residential": false,
								"stateOrProvinceCode": "WA",
								"streetLines": [
									"1043 North Easy Street",
									"Suite 999"
								]
							}
						},
						"returnDetail": {
							"authorizationName": "Sammy Smith",
							"reasonDetail": [
								{
									"description": "Wrong color",
									"type": "REJECTED"
								}
							]
						},
						"scanEvents": [
							{
								"date": "2018-02-02T12:01:00-07:00",
								"delayDetail": {
									"status": "DELAYED",
									"subType": "SNOW",
									"type": "WEATHER"
								},
								"derivedStatus": "Picked Up",
								"derivedStatusCode": "PU",
								"eventDescription": "Picked Up",
								"eventType": "PU",
								"exceptionCode": "A25",
								"exceptionDescription": "Package available for clearance",
								"locationId": "SEA",
								"locationType": "CUSTOMS_BROKER",
								"scanLocation": {
									"addressClassification": "BUSINESS",
									"city": "SEATTLE",
									"countryCode": "US",
									"countryName": "United States",
									"postalCode": "98101",
									"residential": false,
									"stateOrProvinceCode": "WA",
									"streetLines": [
										"1043 North Easy Street",
										"Suite 999"
									]
								}
							}
						],
						"serviceCommitMessage": {
							"message": "No scheduled delivery date available at this time.",
							"type": "ESTIMATED_DELIVERY_DATE_UNAVAILABLE"
						},
						"serviceDetail": {
							"description": "FedEx Freight Economy.",
							"shortDescription": "FL",
							"type": "FEDEX_FREIGHT_ECONOMY"
						},
						"shipmentDetails": {
							"beforePossessionStatus": false,
							"contentPieceCount": "3333",
							"contents": [
								{
									"description": "pulyurethane rope",
									"itemNumber": "RZ5678",
									"partNumber": "RK1345",
									"receivedQuantity": "13"
								}
							],
							"splitShipments": [
								{
									"pieceCount": "10",
									"statusCode": "statuscode",
									"statusDescription": "status",
									"timestamp": "2019-05-07T08:00:07"
								}
							],
							"weight": [
								{
									"unit": "LB",
									"value": "22222.0"
								}
							]
						},
						"shipperInformation": {
							"address": {
								"addressClassification": "BUSINESS",
								"city": "SEATTLE",
								"countryCode": "US",
								"countryName": "United States",
								"postalCode": "98101",
								"residential": false,
								"stateOrProvinceCode": "WA",
								"streetLines": [
									"1043 North Easy Street",
									"Suite 999"
								]
							}
						},
						"specialHandlings": [
							{
								"description": "Deliver Weekday",
								"paymentType": "OTHER",
								"type": "DELIVER_WEEKDAY"
							}
						],
						"standardTransitTimeWindow": {
							"description": "Description field",
							"type": "ESTIMATED_DELIVERY",
							"window": {
								"begins": "2021-10-01T08:00:00",
								"ends": "2021-10-15T00:00:00-06:00"
							}
						},
						"trackingNumberInfo": {
							"carrierCode": "FDXE",
							"trackingNumber": "128667043726",
							"trackingNumberUniqueId": "245822~123456789012~FDEG"
						}
					}
				],
				"trackingNumber": "123456789012"
			}
		],
		"cxsErrors": [
			{
				"code": "TRACKING.TRACKINGNUMBER.EMPTY",
				"message": "Please provide tracking number.",
				"parameterList": [
					{
						"key": "key",
						"value": "value"
					}
				]
			}
		],
		"successful": false
	},
	"transactionId": "624deea6-b709-470c-8c39-4b5511281492"
}
```
